Loading...
Searching...
No Matches
The libssh SFTP server API

SFTP server handling functions. More...

## Data Structures

struct | sftp_message_handler

## Macros

#define | SSH_SFTP_CALLBACK(name)

## Typedefs

typedef int(* | sftp_server_message_callback) (sftp_client_message message)

## Functions

LIBSSH_API int | sftp_channel_default_subsystem_request (ssh_session session, ssh_channel channel, const char *subsystem, void *userdata)
| Default subsystem request handler for SFTP subsystem.
LIBSSH_API int | sftp_channel_default_data_callback (ssh_session session, ssh_channel channel, void *data, uint32_t len, int is_stderr, void *userdata)

## Detailed Description

SFTP server handling functions.

TODO

## Macro Definition Documentation

## SSH_SFTP_CALLBACK

#define SSH_SFTP_CALLBACK | ( |  | name | ) |

Value:
static int name(sftp_client_message message)

## Function Documentation

## sftp_channel_default_subsystem_request()

LIBSSH_API int sftp_channel_default_subsystem_request | ( | ssh_session | session,
|  | ssh_channel | channel,
|  | const char * | subsystem,
|  | void * | userdata )

Default subsystem request handler for SFTP subsystem.

Parameters

  [in] | session | The ssh session
  [in] | channel | The existing ssh channel
  [in] | subsystem | The subsystem name. Only "sftp" is handled
  [out] | userdata | The pointer to sftp_session which will get the resulting SFTP session

Returns
  SSH_OK when the SFTP server was successfully initialized, SSH_ERROR otherwise.